const std = @import("std");

const CommandHistory = @import("./CommandHistory.zig");
const TaskStore      = @import("./TaskStore.zig");

const Self = @This();

tasks: TaskStore,
commands: CommandHistory,

pub fn init(allocator: std.mem.Allocator) Self {
    return Self {
        .commands = CommandHistory.init(allocator),
        .tasks    = TaskStore.init(allocator),
    };
}
pub fn deinit(self: *Self) void {
    self.tasks.deinit();
}
test {
    var ws = init(std.testing.allocator);
    defer ws.deinit();
}
